# Struct AttachmentActionSpan | EchoHub Documentation
Inclusive column range on a chat line that triggers an attachment action when clicked.

# Struct AttachmentActionSpan

Namespace
  EchoHub.Client.UI.Chat

Assembly
  EchoHub.Client.dll

Inclusive column range on a chat line that triggers an attachment action when clicked.

    public readonly struct AttachmentActionSpan : IEquatable<AttachmentActionSpan>

Implements
  IEquatable<AttachmentActionSpan>

Inherited Members
  object.GetType()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### AttachmentActionSpan(int, int, AttachmentAction)

Inclusive column range on a chat line that triggers an attachment action when clicked.

    public AttachmentActionSpan(int StartCol, int EndCol, AttachmentAction Action)

#### Parameters

`StartCol` int
`EndCol` int
`Action` AttachmentAction

## Properties

### Action

    public AttachmentAction Action { get; init; }

#### Property Value

AttachmentAction

### EndCol

    public int EndCol { get; init; }

#### Property Value

int

### StartCol

    public int StartCol { get; init; }

#### Property Value

int

## Methods

### Deconstruct(out int, out int, out AttachmentAction)

    public void Deconstruct(out int StartCol, out int EndCol, out AttachmentAction Action)

#### Parameters

`StartCol` int
`EndCol` int
`Action` AttachmentAction

### Equals(AttachmentActionSpan)

    public bool Equals(AttachmentActionSpan other)

#### Parameters

`other` AttachmentActionSpan

#### Returns

bool

### Equals(object)

    public override bool Equals(object obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(AttachmentActionSpan, AttachmentActionSpan)

    public static bool operator ==(AttachmentActionSpan left, AttachmentActionSpan right)

#### Parameters

`left` AttachmentActionSpan
`right` AttachmentActionSpan

#### Returns

bool

### operator !=(AttachmentActionSpan, AttachmentActionSpan)

    public static bool operator !=(AttachmentActionSpan left, AttachmentActionSpan right)

#### Parameters

`left` AttachmentActionSpan
`right` AttachmentActionSpan

#### Returns

bool